Using pip runs into an error

Home / Uncategorized / Using pip runs into an error

Question:
I setup an venv with python3 and wanna install all my needed packages with pip. On Python2.7 it works very well, but with Python3 I run into the following error:

pip install Django==1.11.0 pip is configured with locations that require TLS/SSL, however the ssl module in Python is not available.

Collecting Django==1.11.0 Could not fetch URL https://pypi.python.org/simple/django/: There was a problem confirming the ssl certificate: Can’t connect to HTTPS URL because the SSL module is not available. – skipping Could not find a version that satisfies the requirement Django==1.11.0 (from versions: ) No matching distribution found for Django==1.11.0

I have seen that there is a possible solution (not verified by myselfe) to get a pem-file with the certificate into my system.

Now my questions:is it possible to deactivate this SSL/TLS setting?
in case of Django, how to get and use the certificate to work with pip successful?
is a list with all verified (by the community) certificate availablie to run this for all packages?

Also I run the following command, I run into this error:
(venv3) pi@roboPi:~/projects/django-rpi $ pip3 install –trusted-host https://pypi.python.org/simple/django/ django

pip is configured with locations that require TLS/SSL, however the ssl module in Python is not available. Collecting django Could not fetch URL https://pypi.python.org/simple/django/: There was a problem confirming the ssl certificate: Can’t connect to HTTPS URL because the SSL module is not available. – skipping Could not find a version that satisfies the requirement django (from versions: ) No matching distribution found for django

And I have no clue, what the mistake could be.


Answer:

Read more

Leave a Reply

Your email address will not be published. Required fields are marked *